Bug 1013210 - Would not a systemd file be a good idea?
Would not a systemd file be a good idea?
Status: NEW
Product: Fedora
Classification: Fedora
Component: fprobe-ulog (Show other bugs)
26
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Paul P Komkoff Jr
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 06:47 EDT by Göran Uddeborg
Modified: 2017-07-26 10:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:03:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2013-09-28 06:47:46 EDT
I use mrtg to see the total traffic from and to our network, but I also wanted to know where all those bytes came from and want to.  Unless I'm mistaken that is information fprobe-ulog and flow-tools can provide for me.

So I went ahead and installed them.  But I couldn't find any start systemd service script that starts fprobe for me.  I've become used (you might say spoiled:-) with just having to install a package, maybe put an IP address in an configuration file, and then just start the service.  Here it seems like I have to do a bit of manual configuration.

I'm sure I can manage that.  I'll start reading the documentation details.  But in addition, I'd like to suggest as an enhancement that you add a systemd service file and maybe /etc/sysconfig configuration file to the fprobe-ulog package.

Unless there is some reason this would not make sense?

Package version:
fprobe-ulog-1.1-12.fc20.x86_64
Comment 1 Fedora End Of Life 2015-05-29 05:28:17 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Göran Uddeborg 2015-06-03 15:33:05 EDT
This is just a suggestion, not a bug, so maybe it is not considered worth it and/or not a good idea.  But the suggestion is equally valid for F22 as for F20, so I'll update the version.
Comment 3 Fedora End Of Life 2016-07-19 16:03:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Göran Uddeborg 2016-07-21 04:16:21 EDT
The maintainer hasn't said neither "yes" nor "no".  And the F24 package isn't changed in this respect.  Updating version.
Comment 5 Paul P Komkoff Jr 2016-07-21 05:37:47 EDT
Yeah, sorry, that's totally my fault. I wasn't treating this bug with a priority.

SYstemd file is certainly a good idea. The problem is, as always, how generic do we want this to be.
Do we want to only support one fprobe-ulog per machine?

I'll try to get back to this later this week and maybe fix it for good.
Comment 6 Göran Uddeborg 2016-07-21 14:20:25 EDT
If you ask me I'd say a service file for a single fprobe-ulog is a reasonable level of ambition.  That will be the case in a rather large majority of cases, I assume.  One could compare with hostapd, which also just supports one server out of the box.  It is quite feasible to run several, but those who want to do that will have to do a little configuration themselves.  Letting fprobe-ulog follow the same pattern seems to make sense.

If it can be made to match the default settings of flow-capture.service, that is a plus.
Comment 7 Fedora End Of Life 2017-07-25 14:35:32 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Göran Uddeborg 2017-07-26 10:07:47 EDT
Still relevant in F26.

fprobe-ulog-1.2-4.fc26.x86_64

Note You need to log in before you can comment on or make changes to this bug.